package com.yonge.cooleshow.biz.dal.queryInfo;

import io.swagger.annotations.ApiModelProperty;

import com.yonge.toolset.mybatis.page.QueryInfo;

public class EmployeeQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "工作类型",required = true)
    private String jobNature;

    @ApiModelProperty(value = "角色ID",required = false)
    private Long roleId;

    @ApiModelProperty(value = "用户名或电话",required = false)
    private Long userNameOrPhone;

    /** 是否离职 */
    @ApiModelProperty(value = "是否离职",required = false)
    private Boolean demissionflag;

    /** 是否冻结 */
    @ApiModelProperty(value = "是否冻结",required = false)
    private Boolean lockFlag;

    public Boolean getLockFlag() {
        return lockFlag;
    }

    public void setLockFlag(Boolean lockFlag) {
        this.lockFlag = lockFlag;
    }

    public Boolean getDemissionflag() {
        return demissionflag;
    }

    public void setDemissionflag(Boolean demissionflag) {
        this.demissionflag = demissionflag;
    }

    public String getJobNature() {
        return jobNature;
    }

    public void setJobNature(String jobNature) {
        this.jobNature = jobNature;
    }

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public Long getUserNameOrPhone() {
        return userNameOrPhone;
    }

    public void setUserNameOrPhone(Long userNameOrPhone) {
        this.userNameOrPhone = userNameOrPhone;
    }
}
